#
# Conditional build:
%bcond_without	python3		# do not build python3 modules

%define		module	netaddr
Summary:	A pure Python network address representation and manipulation library
Name:		python-netaddr
Version:	0.7.5
Release:	5
License:	BSD
Group:		Development/Languages/Python
Source0:	https://github.com/downloads/drkjam/netaddr/netaddr-%{version}.tar.gz
# Source0-md5:	06168e1efb753d4d3e48778a5373e192
Patch0:		issue-2.patch
URL:		https://github.com/drkjam/netaddr/
BuildRequires:	python-modules
%{?with_python3:BuildRequires:	python3-modules}
BuildRequires:	rpm-pythonprov
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A pure Python network address representation and manipulation library.

netaddr provides a Pythonic way to work with:
- IPv4 and IPv6 addresses and subnets (including CIDR notation)
- MAC (Media Access Control) addresses in multiple presentation
  formats
- IEEE EUI-64, OUI and IAB identifiers
- nmap-style IP address ranges
- a user friendly IP glob-style format

Included are routines for:
- generating, sorting and summarizing IP addresses
- converting IP addresses and ranges between various different formats
- performing set based operations on groups of IP addresses and
  subnets
- arbitrary IP address range calculations and conversions
- querying IEEE OUI and IAB organisational information
- querying of IP standards related data from key IANA data sources

%package -n python3-netaddr
Summary:	A pure Python network address representation and manipulation library
Group:		Development/Languages/Python

%description -n python3-netaddr
A pure Python network address representation and manipulation library.

netaddr provides a Pythonic way to work with:
- IPv4 and IPv6 addresses and subnets (including CIDR notation)
- MAC (Media Access Control) addresses in multiple presentation
  formats
- IEEE EUI-64, OUI and IAB identifiers
- nmap-style IP address ranges
- a user friendly IP glob-style format

Included are routines for:
- generating, sorting and summarizing IP addresses
- converting IP addresses and ranges between various different formats
- performing set based operations on groups of IP addresses and
  subnets
- arbitrary IP address range calculations and conversions
- querying IEEE OUI and IAB organisational information
- querying of IP standards related data from key IANA data sources

%package -n netaddr
Summary:	An interactive shell for the Python netaddr library
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}

%description -n netaddr
Interactive shell for the python-netaddr library.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%{__python} setup.py build

%if %{with python3}
%{__python3} setup.py build
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

%if %{with python3}
%{__python3} setup.py install \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT
%py3_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py3_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/api AUTHORS CHANGELOG README THANKS
%{py_sitescriptdir}/*.egg-info
%dir %{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}/*.py[co]
%dir %{py_sitescriptdir}/%{module}/eui
%{py_sitescriptdir}/%{module}/eui/*.py[co]
%{py_sitescriptdir}/%{module}/eui/*.idx
%{py_sitescriptdir}/%{module}/eui/*.txt
%dir %{py_sitescriptdir}/%{module}/ip
%{py_sitescriptdir}/%{module}/ip/*.py[co]
%{py_sitescriptdir}/%{module}/ip/*-space
%{py_sitescriptdir}/%{module}/ip/*-addresses
%dir %{py_sitescriptdir}/%{module}/strategy
%{py_sitescriptdir}/%{module}/strategy/*.py[co]
%dir %{py_sitescriptdir}/%{module}/tests
%{py_sitescriptdir}/%{module}/tests/*.py[co]
#%{py_sitescriptdir}/%{module}/tests/2.x/core
#%{py_sitescriptdir}/%{module}/tests/2.x/eui
#%{py_sitescriptdir}/%{module}/tests/2.x/ip
#%{py_sitescriptdir}/%{module}/tests/2.x/strategy

%if %{with python3}
%files -n python3-netaddr
%defattr(644,root,root,755)
%doc docs/api AUTHORS CHANGELOG README THANKS
%{py3_sitescriptdir}/*.egg-info
%dir %{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}/*.py
%{py3_sitescriptdir}/%{module}/__pycache__
%dir %{py3_sitescriptdir}/%{module}/eui
%{py3_sitescriptdir}/%{module}/eui/*.py
%{py3_sitescriptdir}/%{module}/eui/__pycache__
%{py3_sitescriptdir}/%{module}/eui/*.idx
%{py3_sitescriptdir}/%{module}/eui/*.txt
%dir %{py3_sitescriptdir}/%{module}/ip
%{py3_sitescriptdir}/%{module}/ip/*.py
%{py3_sitescriptdir}/%{module}/ip/__pycache__
%{py3_sitescriptdir}/%{module}/ip/*-space
%{py3_sitescriptdir}/%{module}/ip/*-addresses
%dir %{py3_sitescriptdir}/%{module}/strategy
%{py3_sitescriptdir}/%{module}/strategy/*.py
%{py3_sitescriptdir}/%{module}/strategy/__pycache__
%dir %{py3_sitescriptdir}/%{module}/tests
%{py3_sitescriptdir}/%{module}/tests/*.py
%{py3_sitescriptdir}/%{module}/tests/__pycache__
#%{py3_sitescriptdir}/%{module}/tests/3.x/core
#%{py3_sitescriptdir}/%{module}/tests/3.x/eui
#%{py3_sitescriptdir}/%{module}/tests/3.x/ip
#%{py3_sitescriptdir}/%{module}/tests/3.x/strategy
%endif

%files -n netaddr
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/netaddr
%changelog
* Sun Oct 19 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-netaddr.git;a=log;h=master

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 1813b84
- python 3.4
- release 5 (by relup.sh)

* Wed Nov 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 054f98a
- release 4 (by relup.sh)

* Sat Oct 01 2011 Elan Ruusamäe <glen@pld-linux.org> 009884d
- add invalid netaddr patch from fedora

* Fri Jul 15 2011 Jacek Konieczny <jajcus@pld-linux.org> df012ee
- Python 3.2 fixes
- Release: 2

* Sun Jun 12 2011 Jacek Konieczny <jajcus@pld-linux.org> 2249595
- Version: 0.7.5
- new URL and Source URL
- python3- package added
- /usr/bin/netaddr moved to a separate package

* Fri Jun 10 2011 zbyniu <zbyniu@pld-linux.org> 29d7a93
- md5sum, rel 2

* Fri Jun 10 2011 zbyniu <zbyniu@pld-linux.org> 38611e1
- up to 0.7.4

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> f90abd5
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e4cc897
- release 2

* Tue Nov 10 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> feabb8f
- initial

